<?php

namespace Modules\GlobalApplication\Rules;

use Entity\Model\CaEntet;
use Helpers\ChampsSupplementaire\ChampSupp;
use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class ToolDev
{
    /** @var ServerRequestInterface $request */
    protected ServerRequestInterface $request;

    /** @var \PDO $pdo */
    protected \PDO $pdo;

    /**
     * __construct
     *
     * @param  ServerRequestInterface $request
     * @return void
     */
    public function __construct(ServerRequestInterface  $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }

    /**
     * @return bool
     */
    public function init(): bool
    {
        if (Roles::GetALL()) {
            return true;
        }

        return false;
    }


    /**
     * @return bool
     */
    public function listeSVG(): bool
    {
        return true;
    }
}
